﻿using System.Windows;

using Prism.Regions;

namespace TestProject.Views
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow(regionManager)

        /// <summary>
        /// 생성자
        /// </summary>
        /// <param name="regionManager">영역 관리자 인터페이스</param>
        public MainWindow(IRegionManager regionManager)
        {
            InitializeComponent();

            regionManager.RegisterViewWithRegion("ContentRegion", typeof(MainView));
        }

        #endregion
    }
}